OpenLDAP 2.0 Change Log

OpenLDAP 2.0.27 Release
	Build environment
		Fix getopt(3) detection

OpenLDAP 2.0.26 Release
	Fixed slapd ACL buffer size bug (ITS#1963)
	Fixed slapd ACL filters w/substrings bug (ITS#2023, ITS#2027)
	Fxied slapd directory string space bug (ITS#2072)
	Fixed slurpd reject file handling bugs (ITS#2007, ITS#2009)
	Fixed back-ldbm indirect IDL bug (ITS#2039)
	Fixed libldap buffer size bugs (ITS#1935, ITS#1936)
	Fixed libldap gethostbyname mutex init bug (ITS#2019)
	Fixed liblutil passwd bug (ITS#2055)
	Fixed sasl large reads and writes (ITS#1983, also ITS#910,ITS#1861)
	Updated back-ldbm reindexing - slapindex rebuilds dn2id index
	Build environment
		Require version 1.5 if Cyrus SASL is present
		Remove tempnam checking and replacment implementation

OpenLDAP 2.0.25 Release
	Fixed slapd extended op reqdata crash bug (ITS#1721)

OpenLDAP 2.0.24 Release
	Fixed slapd max incoming macro bug (ITS#1828)
	Fixed slapd acl group/dnaddr bug (ITS#1607)
	Fixed slapd connection management bug (ITS#1655)
	Fixed slapd port ntoh / addr init bugs (ITS#1615, ITS#1728)
	Fixed slapd PF_lOCAL typo (ITS#1660)
	Fixed slapd extended ops with NULL reqdata bug (ITS#1721)
	Fixed slapd replog logging without replica (ITS#1335)
	Fixed slapd NULL attrval indexing (ITS#1843)
	Fixed slurpd tls init bug (ITS#1613)
	Fixed back-ldbm dn normalization bug in onelevel searches (ITS#1654)
	Fixed back-ldbm modrdn root dn check (ITS#1761)
	Fixed back-ldbm idl overrun bug (ITS#1570)
	Fixed back-ldbm passwd textlen bug (ITS#1742)
	Fixed ber_bvstrdup() empty string bug (ITS#1662)
	Fixed ldapsearch filter bug (ITS#1649)
	Fixed maildap NULL domain bug (ITS#1022)
	Fixed libldap hostless URL bug (ITS#1697)
	Fixed liblutil /dev/urandom incomplete reads (ITS#1834)
	Fixed libldap_r threadpool free list (ITS#1839)
	Fixed libldap_r NT threads cond_broadcast (ITS#1865)
	Fixed sasl writes > 64K (ITS#1861)
	Fixed sasl session callback corruption (ITS#1799)
	Build environment
		Removed lint (ITS#1744)
	Documentation
		Updated release documents

OpenLDAP 2.0.23 Release
	Fixed slapd moddn acl bug (ITS#1562) (ITS#1582)
	Fixed slapd acl regex (to dn="") portability bug (ITS#1579)
	Disabled -lldap atexit() handler (ITS#1577)
	Build environment
		Updated config.guess/sub scripts (ITS#1567)
	Documentation
		Fixed a number of typos (ITS#1578)

OpenLDAP 2.0.22 Release
	Fixed slapd passwd modify referral bug
	Fixed back-ldbm index threading bug
	Fixed back-ldbm ordering presence index bug
	Fixed back-ldap modify bug (ITS#1547)
	Fixed -lldap TLS errno bug
	Fixed ud v2 kbind bug
	Updated slapd slurpd friendly code
	Build environment
		Fixed Mach cthreads detection (ITS#1554)
		Updated Berkeley DB 4 detection

OpenLDAP 2.0.21 Release
	Fix slapd empty string indexing/filtering handling (ITS#1507)
	Changed slapd ACL selfwrite replace logic (ITS#1530)
	Build environment
		Updated IPv6 configuration argument handling
		Fix back-shell tools make depend bug (ITS#1518)
		Removed extraneous files

OpenLDAP 2.0.20 Release
	Fixed slapd ACL empty replace bug (ITS#1530)
	Fixed slapd ACL peername/sockname exact match bug (ITS#1516)
	Fixed back-passwd db_config bug
	Fixed -lldap cache debug bug (ITS#1501)
	Fixed -lldap dnssrv free bug
	Fixed -lldap Start TLS first op bug
	Fixed slurpd TLS non-critical/critical bug (ITS#1527)
	Fixed slurpd SASL password bug (ITS#1528)
	Build environment
		Fixed repl_user build error (ITS#1503)
		Updated BerkeleyDB 4 support
		Updated schema files
		Updated Windows NT/2000 MSVC5 port

OpenLDAP 2.0.19 Release
	Fixed back-ldbm not filter indexing (ITS#1405)
	Fixed back-passwd e_ndn bug (ITS#1467)
	Fixed back-ldap undef ad bug (ITS#1367)
	Fixed slapd suffix "" bugs (ITS#1430)
	Fixed slapd zero length replace bug (ITS#1364)
	Fixed slapd teletex string printables bug (ITS#1419)
	Fixed slapd unallocated sockets bug (ITS#1415)
	Fixed slapd undefined present filter bug (ITS#1439)
	Fixed -lldap cacertfile bug (ITS#1406)
	Fixed -lldap ldap_url_seach_s bug (ITS#1429)
	Fixed -lldap unbind free bug (ITS#1442)
	Fixed -llber realloc bug (ITS#1410)
	Fixed ldappasswd/slappasswd strncmp bug (ITS#1497)
	Fixed various memory leaks
	Updated slapd emfile/enfile handling
	Build environment
		Fixed passwd-search port bug (ITS#1461)
		Fixed Kerberos build bug (ITS#1468)
		Updated CThread detection (ITS#1440)
		Updated MAXPATHLEN handling (ITS#1440)
		Fixed TLS build (ITS#1412)
		Added BerkeleyDB 4 support
		Added GNU ar support (ITS#1460)

OpenLDAP 2.0.18 Release
	Fixed -llber ber_bvecadd bug (ITS#1398)
	Fixed slap tools replica config bug (ITS#1385)
	Build environment
		Updated req_query detection

OpenLDAP 2.0.17 Release
	Fixed ldbm BerkeleyDB2 compat bug (ITS#1390)

OpenLDAP 2.0.16 Release
	Fixed slapd indexing bug (ITS#1349)
	Fixed slapd/slurpd maxargs bug (ITS#1343)
	Fixed slapd ManageDSAIT warning
	Fixed slapd no OID schema bug
	Fixed slurpd server down reject bug (ITS#1183)
	Fixed slurpd moddn newsup bug (ITS#1379)
	Fixed -llber ber_realloc bug (ITS#1346)
	Fixed -lldap multi-level referral chase bug (ITS#1346)
	Fixed -lldap high port bug (ITS#1375)
	Fixed CR/LF handling (ITS#1328)
	Updated slapd/-lldap getaddrinfo handling (ITS#1304)
	Updated -lldap_r pthread stack size
	Updated slapd acl assert checks
	Updated slurpd ManageDSAIT handling
	Updated slapd root/subschema DSE update error handling
	Removed -lldbm use of Berkeley CDB
	Updated -lldbm to use r/w lock with DB_THREAD
	Updated back-ldbm update attribute indices on delete (ITS#1359)
	Updated ud Kerberos ticket handling
	Added back-ldbm idl_check() code
	Build environment
		Updated ltconfig for MacOS X 10.1 (ITS#1361)
		Updated slapd.conf with ACL example
		Updated pthread detection
		Updated Kerberos detection (ITS#1372)
		Updated test005 /dev/null diff for Tru64 compat
		Updated test007 modrdn test
		Updated test008 read/write ratio
		Updated MSVC5 project files
	Documentation
		Update slapcat/add pages

OpenLDAP 2.0.15 Release
	Fixed -lldap TLS external handling
	Fixed -lldap ldaps:// no host bug
	Fixed slapd Statslog bug
	Fixed slapd oidm support (ITS#1258)
	Added -lldap oidm support (ITS#1213)
	Added slapd supportedFeatures support
	Removed lint
	Build environment
		Fixed winsock detection (ITS#1334)

OpenLDAP 2.0.14 Release
	Fixed slurpd billionth second bug (ITS#1323)

OpenLDAP 2.0.13 Release
	Fixed slapd substring filter_free bug
	Fixed slapd suffix check bug
	Fixed ldapdelete -c handling (ITS#1071)
	Fixed ldapsearch -S handling (ITS#1180)
	Fixed ldbm BerkeleyDB 3.0 support (ITS#1306)
	Fixed ldbm dbhandle cache bug (ITS#1164)
	Fixed shell fgets handling
	Fixed -lldap TLS ldap.conf handling
	Added -lldap improved TLS certificate checking
	Added slapd access to dn.base="" support

OpenLDAP 2.0.12 Release
	Fixed slapd acl default clause bug (ITS#1187)
	Fixed slapd modlist2mods error text bug
	Fixed slapd numericString bugs (ITS#1182,1254)
	Fixed slapd empty rootdn bug (ITS#1172)
	Fixed slapd passwd modify replication (ITS#1237)
	Fixed slapd textbuf bugs (ITS#1275)
	Fixed ldapmodrdn SASL auth bug (ITS#1179)
	Fixed slapadd already exists bug (ITS#1191)
	Fixed slapadd empty dn bug
	Added slapd modrdn children check (ITS#1053,1192)
	Added slapd sb_max_incoming_auth support (ITS#1181)
	Added slapd crypt salt format support (ITS#1202)
	Added slapd subtree replication support
	Added slurpd include support (ITS#121)
	Added -lldap critical client control checks
	Added ldbm sync daemon support
	Added ldbm per-backend db_env support
	Added ldbm BerkeleyDB 3.3 support (ITS#1272)
	Updated slapd getaddrinfo use
	Updated slapd schema check handling
	Updated slapd filter checks
	Updated slapd single-value checks
	Updated ldbm to use BerkeleyDB's CDB (ITS#1176)
	Updated ldbm error handling
	Updated ldaptcl API (contrib)
	Updated -lldap SASL/TLS referral handling
	Updated -lldap pthread code
	Updated ldapmodify add/replace handling
	Removed -lldap UFN search support
	Build environment
		Removed extraneous files
		Fixed BerkeleyDB db1 detection (ITS#1294)

OpenLDAP 2.0.11 Release
	Fixed attribute parse bug (ITS#1159)

OpenLDAP 2.0.10 Release
	Build Environment
		Fixed TLS-less build (ITS#1156)

OpenLDAP 2.0.9 Release
	Add slapd obsolete schema check
	Add slapd collective schema check
	Fix slapd printableString syntax bug
	Fix ldbm bdb3 set_cachesize bug
	Build Environment
		Add nisMailAlias (ITS#876)
		Fix inet_ntop configure test (ITS#1146)
		Fix thr_nt.c syntax bug

OpenLDAP 2.0.8 Release
	Fixed slapd empty OID value bug (ITS#882)
	Fixed slapd waitpid() bug (ITS#900)
	Fixed slapd gai_strerror() bug (ITS#895)
	Fixed slapd unrecognized objectClass bug
	Fixed slapd schema parse bug (ITS#1114)
	Fixed slapd labeledURI bug (ITS#1040)
	Fixed slapd dnaddr bug (ITS#1061)
	Fixed slap tools sasl-secprops bug (ITS#1128)
	Fixed back-ldap protocol versioning bug
	Fixed back-ldap str2ad bug (ITS#919)
	Fixed back-passwd nbase bug (ITS#941)
	Fixed back-shell unbind response bug
	Fixed back-ldbm oldSuperior bug (ITS#951)
	Fixed back-ldbm modify password DN bug (ITS#1060)
	Fixed -lldap SASL GSSAPI interop bug (ITS#884)
	Fixed -lldap TLS/SASL crash bugs (ITS#889)
	Fixed -llber exception bugs
	Added slapd RANDFILE option (ITS#1069)
	Updated slapd anonymous write default to deny
	Updated slapd syntax erorr reporting
	Updated -lldap TLS seeding (ITS#948) 
	Updated -lldap TLS certificate handling (ITS#903)
	Updated -lldap referral/reference handling (ITS#905,1047)
	Updated -lldap schema safe_string bug (ITS#1092) 
	Updated maildap
	Updated ldaptcl
	Updated client usage messages
	Build Environment
		Added MacOS support (ITS#943)
		Update schema files (ITS#955)
		Trim experimental options
		Updated pthread join/detach test
	Documentation
		Update tool pages (ITS#938)

OpenLDAP 2.0.7 Release
	Fixed -lldap TLS data ready bug (ITS#821)
	Fixed -lldap abandon unsent op bug (ITS#837)
	Fixed -lldap URL search w/o host bug (ITS#843)
	Fixed -lldap referral handling bugs (ITS#799 ITS#817)
	Fixed -lldap UTF-8 bug (ITS#860)
	Fixed ldappasswd old passwd encoding bug
	Fixed slapd DN whitespace compression (ITS#852)
	Fixed slapd spasswd mutex bug
	Fixed slapd ACL nameuid bug
	Fixed slapd SASL layering bug
	Fixed slapd unknown authc method bug (ITS#831 ITS#844)
	Fixed slapd TLSVerifyClient config bug
	Fixed tools passwd clearing bug
	Updated -lldap TLS/SASL error reporting
	Updated -llber large element handling
	Updated slapadd error reporting
	Updated slapd chroot handling (ITS#810)
	Updated slapd subschema subentry
	Updated slapd manageDSAit support (ITS#851)
	Updated slapd root DIT support
	Updated slapd/back-sql
	Updated getaddrinfo error handling (ITS#845 ITS#845 ITS#863)
	Added -lldap SASL/EXTERNAL (TLS) support (ITS#865)
	Added slapd additional syntax/matching rule support
	Removed lint
	Build Environment
		Fixed make comment bug (ITS#811)
		Fixed $(DESTDIR) install (ITS#806)
		Added proxy check to passwd test
		Fixed slurpd tempdir perms (ITS#840)
	Documentation
		Updated ldappasswd(1)
		Updated ldap_url(3)
		Updated slapd.conf(5)
		Updated slapd(8)
		Updated slurpd(8)

OpenLDAP 2.0.6 Release
	Build Environment
		Fixed schema install (ITS#802)
		Added libtool customizations
		Re-enabled module support
	Documentation
		Update ldapsearch(1)

OpenLDAP 2.0.5 Release
	Fixed slapd/ldbm/search confusing log message (ITS#771)
	Fixed slapd/sasl no cred bug
	Fixed slapd idletimeout lock bug (ITS#767)
	Fixed slapd caseIgnoreIA5string indexing bug (ITS#786)
	Fixed slurpd TLS initialization bug (ITS#768)
	Fixed slurpd empty one shot hang (ITS#798)
	Fixed -lldap SASL ctx close bug (ITS#790)
	Fixed -lldap first/next attribute bug (ITS#778)
	Fixed -lldap (v2) rebind URL bug
	Fixed -lldap msgfree NULL bug (ITS#800)
	Fixed -lldif empty value bug
	Fixed -llber stringal len=0 bug
	Updated -llber bprint routine
	Build Environment
		Fixed LDFLAGS/-rpath usage
		Fixed IPv6 detection (ITS#669,ITS#770)
		Fixed VPATH schema install
		Updated libtool to 1.3.5
		Added Darwin support
		Disabled module support

OpenLDAP 2.0.4 Release
	Fixed clients printf/usage bugs (ITS#749)
	Fixed -lldap SASL interoperability bug
	Fixed -lldap PF_LOCAL declaration/call bugs
	Fixed slapd SASL log error (ITS#759)
	Fixed slapd spasswd support (ITS#751)
	Fixed slapd/tools fixed sasl_props bug (ITS#761)
	Updated slurpd SASL support
	Added slapd accept(2) sockopt workaround (ITS#760)
	Added slurpd TLS support
	Removed lint
	Build Environment
		Fixed --enable-spasswd (ITS#751)
	Documentation
		Fixed ldif(5) file:/// bug (ITS#750)
		Updated ldap_schema(3)

OpenLDAP 2.0.3 Release
	Fixed -lldap KBIND typo (ITS#717)
	Fixed slapd ;binary search request subtyping

OpenLDAP 2.0.2 Release
	Fixed KBIND (ITS#717)
	Fixed clients/tools -R handling (ITS#726)
	Fixed -lldap SASL got_max_ssf bug 
	Fixed -lldap TCP_NODELAY bug 
	Fixed -lldap TLS issues (ITS#733)
	Fixed -lldap_r NT threads (ITS#732)
	Fixed -llutil sa_flags never set bug
	Fixed ldappasswd -A -S crash (ITS#714)
	Fixed ldappasswd user argument usage
	Fixed slapd disallow bind_anon (ITS#721)
	Fixed slapd IPv6 issues (ITS#716)
	Fixed slapd MIT KPASSWD Compatibility (ITS#715)
	Fixed slapd time syntax routines (ITS#713)
	Fixed slapd/ldbm DB_PRIVATE not set bug (ITS#725)
	Fixed slapd/ldbm nextid reporting bug
	Fixed slapd syntaxes/mr routines (ITS#739)
	Fixed slurpd -r buffer overflow (ITS#722)
	Updated slapd rootDSE inappropriate op handling
	Added slapd syntax/mr routines
	Added slapd allow/disallow options
	Added slapd defaultSearchBase and DN verify (ITS#723)
	Removed lint
	Build Environment
		Added test000-rootdse
		Added Corba & Java Schema
		Updated MSVC projects for BDB 3.1
		Fixed Kerberos detection (ITS#717)
		Remove incompatible contribWare
	Documentation
		Fixed ldappasswd(1) usage
		Fixed ldapmodify(1) (ITS#719)
		Updated release documents (ITS#720)

OpenLDAP 2.0.1 Release
	Fixed StartTLS & ldaps:// client SDK
	Fixed slapd session close deadlock (ITS#704)
	Fixed slapd SSF ACLs
	Fixed slapd "entry" ACLs
	Updated slapd MAXARGS to 200
	Updated slapd nisNetgroupTriple validation routine (ITS#705)
	Updated slapd bootParameter validation routine (ITS#706)
	Updated slapd nameUID syntax to reuse DN routines for uniqueMember
	Updated client tool usage (ITS#710)
	Build Environment
		Fixed MSC tcp_close redefine
	Documentation
		Updated manual pages references
		Updated release documents
		Updated back-sql documents
		Updated "to do" list

OpenLDAP 2.0.0 Release
	Initial release of OpenLDAP 2.0

---
$OpenLDAP: pkg/ldap/CHANGES,v 1.5.2.201 2002/09/22 16:08:36 kurt Exp $
